CorebanqCorebanq Developer Docs
Counterpartiesv1Counterparty Crypto Wallets

Get counterparty crypto wallet by ID

GET/v1/counterparties/crypto-wallets/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Counterparty crypto wallet ID.

id*string

id path parameter

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/counterparties/crypto-wallets/string"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",
  "cp_account_id": "eb064395-4075-439f-a7b1-d660c0883425",
  "currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
  "crp_asset_id": "015b0788-e8aa-4d88-98a2-3117119c0e5e",
  "wallet_address": "string",
  "network": "string",
  "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
  "is_self_custody": true,
  "is_validated": true,
  "is_primary": true,
  "status": "string",
  "active": true,
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "modified_at": "2019-08-24T14:15:22Z",
  "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
  "metadata": {},
  "products_allowed": [
    {
      "id": "8f2a1c3d-4e5b-6f7a-8b9c-0d1e2f3a4b5c",
      "code": "OWT",
      "name": "Outbound Wire Transfer",
      "description": "Send funds to external bank accounts via wire transfer.",
      "type": "transfers",
      "route": "payment",
      "icon": "arrow-up-right"
    }
  ],
  "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd"
}
{
  "error": "string",
  "message": "string",
  "details": {}
}
{
  "error": "string",
  "message": "string",
  "details": {}
}
{
  "error": "string",
  "message": "string",
  "details": {}
}
{
  "error": "string",
  "message": "string",
  "details": {}
}
{
  "error": "string",
  "message": "string",
  "details": {}
}